> ## Documentation Index
> Fetch the complete documentation index at: https://leadping.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all

> Lists the current business's active lead statuses for organizing and tracking leads through the sales workflow.



## OpenAPI

````yaml /openapi.json get /lead-statuses
openapi: 3.0.4
info:
  title: Leadping API
  description: >-
    Leadping API for lead intake, messaging, calling, automations, billing,
    business settings, and compliant lead communication workflows.
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  version: v1
servers:
  - url: https://api.leadping.ai
    description: Production
security: []
tags:
  - name: Analytics
  - name: Automations
  - name: Contact
  - name: Conversations
  - name: Dispositions
  - name: Feedback
  - name: Leads
  - name: LeadStatuses
  - name: Notifications
  - name: OutboundDelivery
  - name: Sources
  - name: Suppressions
  - name: Tags
  - name: Users
  - name: Calls
  - name: PhoneNumbers
  - name: Sms
  - name: Telephony
  - name: UserDataExports
  - name: CallEvents
  - name: Events
  - name: SmsEvents
  - name: Businesses
  - name: PaymentMethods
  - name: Transactions
  - name: Usage
  - name: Wallets
paths:
  /lead-statuses:
    get:
      tags:
        - LeadStatuses
      summary: Get all
      description: >-
        Lists the current business's active lead statuses for organizing and
        tracking leads through the sales workflow.
      operationId: LeadStatuses_GetAll
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/LeadStatusResponse'
components:
  schemas:
    LeadStatusResponse:
      type: object
      properties:
        id:
          type: string
        businessId:
          type: string
        name:
          type: string
        color:
          type: string
        category:
          allOf:
            - $ref: '#/components/schemas/DispositionCategory'
          description: >-
            Controlled disposition categories used for reporting, automation,
            and analytics.
        sortOrder:
          pattern: ^-?(?:0|[1-9]\d*)$
          format: int32
        isArchived:
          type: boolean
        modifiedAt:
          type: string
          format: date-time
    DispositionCategory:
      enum:
        - Open
        - Qualified
        - Converted
        - Lost
        - Invalid
        - Duplicate
      type: string
      description: >-
        Controlled disposition categories used for reporting, automation, and
        analytics.

````